Page MenuHomePhabricator

Add commonswiki as a transwiki importsource on enwiki
Closed, ResolvedPublic

Description

Add commons as dropdown in Special:Import on enwiki

Would it be possible to add "commons" as a dropdown option for page import on the English Wikipedia? I was thinking of this specifically for importing some templates that could be of use on the English Wikipedia as well.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd Commons to enwiki importsources

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 15 2020, 4:28 PM
TheSandDoctor renamed this task from enwiki add commons to Special:Import to enwiki add commons as dropdown to Special:Import.Jan 15 2020, 4:28 PM
TheSandDoctor renamed this task from enwiki add commons as dropdown to Special:Import to enwiki add commons as dropdown in Special:Import.
TheSandDoctor renamed this task from enwiki add commons as dropdown in Special:Import to Add commons as dropdown in Special:Import on enwiki.
TheSandDoctor changed the subtype of this task from "Task" to "Feature Request".

Removing MediaWiki-Special-pages as this is unrelated to the generic MediaWiki core codebase. This task sounds like it is about settings / configuration of some Wikimedia website, hence setting project to Wikimedia-Site-requests.
Please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes when requesting such kinds of changes. Thanks.

Xaosflux added a subscriber: Xaosflux.

Was there any community discussion on this? As a regular at https://en.wikipedia.org/wiki/Wikipedia:Requests_for_page_importation , I'm not seeing any sort of demand for this.

Xaosflux renamed this task from Add commons as dropdown in Special:Import on enwiki to Add commonswiki as a transwiki importsource on enwiki.Jan 15 2020, 4:50 PM
Xaosflux updated the task description. (Show Details)
Ammarpad changed the subtype of this task from "Feature Request" to "Task".EditedJan 16 2020, 1:14 AM
Ammarpad added a subscriber: Ammarpad.

Hi @TheSandDoctor if you still want this please start discussion to gain consensus on wiki, then we can just do it and resolve this, it's quite a simple task. If you've no plan of starting discussion I'd suggest we close this simply as declined as there's no reason for this task to stay in limbo for months, years etc.

TheSandDoctor added a comment.EditedJan 16 2020, 7:31 AM

My apologies for the delayed response, I was offline most of the day (internet troubles and a snowstorm). I figured that this was quite the simple addition and did not realize that on-wiki consensus would be needed in order to implement (I have never made nor handled such a request before). It would not negatively affect anyone at current.

Per your suggestions/guidance, I will start a discussion. @Ammarpad @Xaosflux, where would you suggest starting it on enwiki? Village pump technical?

Per your suggestions/guidance, I will start a discussion. @Ammarpad @Xaosflux, where would you suggest starting it on enwiki? Village pump technical?

I think Village pump (proposal) is more appropriate.

The where isn't super important - as long as it is well advertised and attended. So if you put it at VPR, advertise it at VPT, AN, WT:RFPI, T:CENT for example. This isn't a really big deal that would need site notices, or voter invitations though.

Ammarpad changed the task status from Open to Stalled.Jan 16 2020, 6:03 PM
DannyS712 changed the task status from Stalled to Open.Jan 24 2020, 3:47 AM
DannyS712 moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.
Ammarpad claimed this task.Jan 24 2020, 5:08 AM

Change 567305 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[operations/mediawiki-config@master] Add Commons to enwiki importsources

https://gerrit.wikimedia.org/r/567305

Change 567305 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Commons to enwiki importsources

https://gerrit.wikimedia.org/r/567305

Jdforrester-WMF closed this task as Resolved.Tue, Feb 4, 12:13 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Deployed.

Mentioned in SAL (#wikimedia-operations) [2020-02-04T00:14:22Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [enwiki] Add Commons as an import source T242884 (duration: 00m 57s)